<template>
  <main class="container is-fluid">
    <GwHeader />
    <router-view/>
    <GwFooter />
  </main>
</template>

<script>
import GwHeader from '@/components/gw-header/GwHeader.vue';
import GwFooter from '@/components/gw-footer/GwFooter.vue';

export default {
  name: 'app',
  components: {
    GwHeader,
    GwFooter,
  },
};
</script>

<style lang="scss">
  @import "~bulma/sass/utilities/_all";

  $primary: #10c0c6;
  $primary-invert: findColorInvert($primary);

  $colors: (
    "white": ($white, $black),
    "black": ($black, $white),
    "light": ($light, $light-invert),
    "dark": ($dark, $dark-invert),
    "primary": ($primary, $primary-invert),
    "info": ($info, $info-invert),
    "success": ($success, $success-invert),
    "warning": ($warning, $warning-invert),
    "danger": ($danger, $danger-invert),
  );

  $link: $primary;
  $link-invert: $primary-invert;
  $link-focus-border: $primary;

  $family-primary: 'Roboto', sans-serif;
  $body-size: 18px;

  @import "~bulma";
  @import "~buefy/src/scss/buefy";
</style>
